import { Component } from '@angular/core';
import { NavController, MenuController } from 'ionic-angular';
import { TwitterApiProvider } from '../../providers/twitter-api/twitter-api';

@Component({
  selector: 'page-home',
  templateUrl: 'home.html'
})
export class HomePage {
  menuController: MenuController;
  data: any[] = [];

  constructor(
    public navCtrl: NavController,
    private twitter: TwitterApiProvider,
    private menuCtrl: MenuController) {
  }

  ionViewDidLoad() {
    this.menuCtrl.enable(true, 'sideNav');
    
  }

  ionViewDidEnter() {
    this.twitter.fetchHomeFeed()
    .then(res => {
      console.log(res);
      this.data = res.data;
    });
  }
}
